Public Attributes | List of all members
iso_create_big_cmpl_evt_t Struct Reference
BLE » Core Isochronous Channels | BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

The parameter for creating big complete event. More...

`#include <ble_iso.h>`

## Public Attributes
uint8_t | status
uint8_t | big_hdl
uint32_t | big_sync_delay
uint32_t | big_trans_latency
uint8_t | phy
uint8_t | nse
uint8_t | bn
uint8_t | pto
uint8_t | irc
uint16_t | max_pdu
uint16_t | iso_interval
uint8_t | num_bis
uint16_t * | bis_hdl

## Detailed Description

The parameter for creating big complete event.

Definition at line 479 of file ble_iso.h.

## Member Data Documentation

## ◆ big_hdl

uint8_t iso_create_big_cmpl_evt_t::big_hdl

Used as the identifier of the BIG, (Range: 0x00 to 0xEF)

Definition at line 482 of file ble_iso.h.

## ◆ big_sync_delay

uint32_t iso_create_big_cmpl_evt_t::big_sync_delay

Transmission delay time in microseconds of all BISs in the BIG,(Range: 0x0000EA to 0x7FFFFF).

Definition at line 483 of file ble_iso.h.

## ◆ big_trans_latency

uint32_t iso_create_big_cmpl_evt_t::big_trans_latency

The maximum delay time, in microseconds, for transmission of SDUs of all BISes,(Range: 0x0000EA to 0x7FFFFF).

Definition at line 484 of file ble_iso.h.

## ◆ bis_hdl

uint16_t* iso_create_big_cmpl_evt_t::bis_hdl

The connection handles of the BISs, (Range: 0x0000 to 0x0EFF).

Definition at line 493 of file ble_iso.h.

## ◆ bn

uint8_t iso_create_big_cmpl_evt_t::bn

TThe number of new payloads in each BIS event, range 0x01-0x07.

Definition at line 487 of file ble_iso.h.

## ◆ irc

uint8_t iso_create_big_cmpl_evt_t::irc

The number of times a payload is transmitted in a BIS event, range 0x01-0x0F.

Definition at line 489 of file ble_iso.h.

## ◆ iso_interval

uint16_t iso_create_big_cmpl_evt_t::iso_interval

ISO interval (1.25ms unit, range: 5ms to 4s).

Definition at line 491 of file ble_iso.h.

## ◆ max_pdu

uint16_t iso_create_big_cmpl_evt_t::max_pdu

Maximum size of the payload in octets, range 0x00-0xFB.

Definition at line 490 of file ble_iso.h.

## ◆ nse

uint8_t iso_create_big_cmpl_evt_t::nse

The number of subevents in each BIS event in the BIG, range 0x01-0x1E.

Definition at line 486 of file ble_iso.h.

## ◆ num_bis

uint8_t iso_create_big_cmpl_evt_t::num_bis

Total number of BISs in the BIG,(Range: 0x01 to 0x1F).

Definition at line 492 of file ble_iso.h.

## ◆ phy

uint8_t iso_create_big_cmpl_evt_t::phy

PHY used, bit 0: 1Mbps, bit 1: 2Mbps, bit 2: LE-Coded.

Definition at line 485 of file ble_iso.h.

## ◆ pto

uint8_t iso_create_big_cmpl_evt_t::pto

Offset used for pre-transmissions, range 0x00-0x0F.

Definition at line 488 of file ble_iso.h.

## ◆ status

uint8_t iso_create_big_cmpl_evt_t::status

0x00: Establishment of the BIG has been completed. 0x01 to 0xFF: Establishment of the BIG failed to be completed

Definition at line 481 of file ble_iso.h.

The documentation for this struct was generated from the following file:

- ble_iso.h